import type { _INIntent } from "./INIntent.js";
import type { _INRestaurant } from "./INRestaurant.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSDate } from "../Foundation/NSDate.js";
import type { _NSDateComponents } from "../Foundation/NSDateComponents.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
export declare class _INGetAvailableRestaurantReservationBookingsIntent extends _INIntent {
    static alloc(): _INGetAvailableRestaurantReservationBookingsIntent;
    static new(): _INGetAvailableRestaurantReservationBookingsIntent;
    init(): _INGetAvailableRestaurantReservationBookingsIntent;
    initWithRestaurant$partySize$preferredBookingDateComponents$maximumNumberOfResults$earliestBookingDateForResults$latestBookingDateForResults$(restaurant: _INRestaurant, partySize: number, preferredBookingDateComponents: _NSDateComponents | null, maximumNumberOfResults: _NSNumber | null, earliestBookingDateForResults: _NSDate | null, latestBookingDateForResults: _NSDate | null): _INGetAvailableRestaurantReservationBookingsIntent;
    restaurant(): _INRestaurant;
    setRestaurant$(value: _INRestaurant): void;
    partySize(): number;
    setPartySize$(value: number): void;
    preferredBookingDateComponents(): _NSDateComponents | null;
    setPreferredBookingDateComponents$(value: _NSDateComponents | null): void;
    /**
     * if the caller has a preferred maximum number of results, one can optionally be specified. a nil here leaves it up to the extension
     */
    maximumNumberOfResults(): _NSNumber | null;
    setMaximumNumberOfResults$(value: _NSNumber | null): void;
    earliestBookingDateForResults(): _NSDate | null;
    setEarliestBookingDateForResults$(value: _NSDate | null): void;
    latestBookingDateForResults(): _NSDate | null;
    setLatestBookingDateForResults$(value: _NSDate | null): void;
}
export interface _INGetAvailableRestaurantReservationBookingsIntent extends _NSCopying {
}
